Bug 518798 - error in template
Summary: error in template
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: vim-perl-support
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-22 22:51 UTC by GeoffLeach
Modified: 2009-08-24 05:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-24 05:38:36 UTC


Attachments (Terms of Use)

Description GeoffLeach 2009-08-22 22:51:40 UTC
Description of problem:
error in template

Version-Release number of selected component (if applicable):
4.2.1

How reproducible:
always

Steps to Reproduce:
1.remove any existing perl support: mv .vim .vim.bak
2.gvim t.pl
3.
  
Actual results:
Error while processing function Perl_InsertTemplate
Line 193:

Expected results:
No message

Additional info:

Comment 1 Iain Arnell 2009-08-23 08:11:51 UTC
It's working for me. I suspect there's something in your .vimrc that's causing the problem. Can you also "mv .vimrc .vimrc.bak" and try to reproduce again.

Comment 2 GeoffLeach 2009-08-23 19:05:57 UTC
Hmmm ... how's about :map z :w<CR>:n<CR>

Still a problem in 4.4.

Comment 3 Iain Arnell 2009-08-24 05:38:36 UTC
Yep - that would do it. The Perl_InsertTemplate function is using "zv" command to ensure that the current cursor position is unfolded. And your remapping of "z" interferes with this. I assume you're not using folding, so you can easily work around it and preserve your "z" by adding "set nofoldenable" to ~/.vimrc.


Note You need to log in before you can comment on or make changes to this bug.